<div class="comments-block">
  <?php if ($comments) { ?>
  <h3>Комментарии</h3>
  <div class="comments-list">
  <?php foreach ($comments as $comment) { ?>
    <div>
     <div class="username"><span>Имя:</span> <?php echo $comment['user_name']; ?></div>
     
     <?php if ($show_email_field && $comment['user_email']) { ?>
     <div class="email"><span>Email:</span> <?php echo $comment['user_email']; ?></div>
     <?php } ?>
     
     <?php if ($show_site_field && $comment['user_site']) { ?>
     <div class="site"><span>Сайт:</span> <?php echo $comment['user_site']; ?></div>
     <?php } ?>
     
     <div class="text"><?php echo $comment['text']; ?></div>
    </div>
  <?php } ?>
  </div>
  <?php } ?>
  <div class="comments-form">
    <h3>Добавить комментарий</h3>
    <div>
      <?php if ($success) { ?>
      <div class="notice success"><?php echo $success; ?></div>
      <?php } ?>
      <?php if ($errors) { ?>
      <div class="notice errors">
        <?php foreach ($errors as $error) { ?>
        <span><?php echo $error; ?></span><br>
        <?php } ?>
      </div>
      <?php } ?>
      <form method="POST" action="">
        <?php if (!$user) { ?>
        <label>Ваше имя:</label>
        <input type="text" name="comment_user_name" value="<?php echo $user_name; ?>">
        
          <?php if ($show_email_field) { ?>
            <label>Ваш E-mail:</label>
            <input type="text" name="comment_user_email" value="<?php echo $user_email; ?>">
          <?php } ?>
        <?php } ?>
        
        <?php if ($show_site_field) { ?>
        <label>Ваш сайт:</label>
        <input type="text" name="comment_user_site" value="<?php echo $user_site; ?>">
        <?php } ?>
        
        <label>Комментарий:</label>
        <textarea name="comment_text"><?php echo $text; ?></textarea>
        
        <div style="text-align: center"><input type="submit" name="add_comment" value="Добавить"></div>
      </form>
    </div>
  </div>
</div>