<?php 
class model_component_comments extends model {
	public function get_total_comments() {
		$sql = "SELECT COUNT(*) AS total FROM comments ";
		
		if (isset($data['page_id'])) {
			$sql .= "WHERE page_id = '" . (int)$data['page_id'] . "' ";
		} elseif (isset($data['url'])) {
			$sql .= "WHERE url = '" . $this->dbh->escape($data['url']) . "' ";
		}

		$result = $this->dbh->row($sql);
		
		return (int)$result['total'];
	}

	public function get_comments($data = array()) {
		$sql = "SELECT * FROM comments ";
		
		if (isset($data['page_id'])) {
			$sql .= "WHERE page_id = '" . (int)$data['page_id'] . "' ";
		} elseif (isset($data['url'])) {
			$sql .= "WHERE url = '" . $this->dbh->escape($data['url']) . "' ";
		}
		
		if (isset($data['order'])) {
			$sql .= "ORDER BY " . $this->dbh->escape($data['order']) . " ";
		} else {
			$sql .= "ORDER BY date_add ASC ";
		}
		
		if (isset($data['start']) && isset($data['limit'])) {
			if ($data['limit'] <= 0) {
				$data['limit'] = 10;
			}
			$sql .= "LIMIT " . (int)$data['start'] . ", " . (int)$data['limit'];
		}
		
		return $this->dbh->query($sql);
	}

	public function add_comment($data = array()) {
		$sql = "INSERT INTO comments (page_id, url, text, user_name, user_email, user_site, date_add)
							VALUES (
								'" . (int)$data['page_id'] . "',
								'" . $this->dbh->escape($data['url']) . "',
								'" . $this->dbh->escape($data['text']) . "',
								'" . $this->dbh->escape($data['user_name']) . "',
								'" . $this->dbh->escape($data['user_email']) . "',
								'" . $this->dbh->escape($data['user_site']) . "',
								'" . (int)$data['date_add'] . "'
							)";
		$this->dbh->exec($sql);
	}
	
	public function delete_comment() {
		
	}
}
 ?>